/* Copyright (c) 2012-2017 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef GAMESPINBOX_H
#define GAMESPINBOX_H

// Qt includes
#include <QSpinBox>

// Qt classes
class QKeyEvent;

class GameSpinBox : public QSpinBox
{
    Q_OBJECT

public:
    explicit GameSpinBox(QWidget *parent = 0);

signals:
    void enterPressed();

protected:
    void keyPressEvent(QKeyEvent *event);

};

#endif // GAMESPINBOX_H
